#ifndef NTCON_API_H
#define NTCON_API_H

#include "ntcon_abi.h"
#include "ntcon_compiler.h"

/* ntcon_export */
#if	defined(__attr_export__)
#define ntcon_export __attr_export__
#else
#define ntcon_export
#endif

/* ntcon_import */
#if	defined(__attr_import__)
#define ntcon_import __attr_import__
#else
#define ntcon_import
#endif

/* protected visibility */
#if	defined(__attr_protected__)
#define ntcon_protected __attr_protected__
#else
#define ntcon_protected
#endif

/* ntcon_api */
#if     defined (NTCON_EXPORT)
#define ntcon_api ntcon_export
#elif   defined (NTCON_IMPORT)
#define ntcon_api ntcon_import
#elif   defined (NTCON_STATIC)
#define ntcon_api ntcon_protected
#else
#define ntcon_api
#endif

#endif
